Skip to main content

deploysByCompanyId

Returns deploys by company ID

deploysByCompanyId(
id: ID!
initialDate: ISO8601DateTime!
finishDate: ISO8601DateTime!
page: Int
limit: Int
): DeployCollection!

Arguments

deploysByCompanyId.id ● ID! non-null scalar

deploysByCompanyId.initialDate ● ISO8601DateTime! non-null scalar

deploysByCompanyId.finishDate ● ISO8601DateTime! non-null scalar

deploysByCompanyId.page ● Int scalar

deploysByCompanyId.limit ● Int scalar

Type

DeployCollection object

DeployCollection type

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetDeploysByCompanyId($id: ID!, $initialDate: ISO8601DateTime!, $finishDate: ISO8601DateTime!) {\n deploysByCompanyId(id: $id, initialDate: $initialDate, finishDate: $finishDate) { collection { id status branchName } metadata { currentPage limitValue totalCount } }\n}","variables":{"id":"example-id","initialDate":"<ISO8601DateTime>","finishDate":"<ISO8601DateTime>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.